Package ru.bitel.oss.kernel.entity.common.bean

# Class AddressStruct

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.AddressStruct

public class AddressStruct extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressStruct()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getArea()`
  `String`
  `getCity()`
  `String`
  `getComment()`
  `String`
  `getCountry()`
  `String`
  `getFlat()`
  `String`
  `getFloor()`
  `String`
  `getFrac()`
  `String`
  `getFullAddress()`
  `String`
  `getHouse()`
  `int`
  `getHouseId()`
  `String`
  `getIndex()`
  `Map<String,String>`
  `getParamMap()`
  `String`
  `getPod()`
  `String`
  `getQuarter()`
  `String`
  `getRoom()`
  `String`
  `getStreet()`
  `AddressStruct`
  `setArea(String area)`
  `AddressStruct`
  `setCity(String city)`
  `AddressStruct`
  `setComment(String comment)`
  `AddressStruct`
  `setCountry(String country)`
  `AddressStruct`
  `setFlat(String flat)`
  `AddressStruct`
  `setFloor(String floor)`
  `AddressStruct`
  `setFrac(String frac)`
  `AddressStruct`
  `setFullAddress(String fullAddress)`
  Адресная строка формируется автоматически в зависимости от setup.
  `AddressStruct`
  `setHouse(String house)`
  `AddressStruct`
  `setHouseId(int houseId)`
  `AddressStruct`
  `setIndex(String index)`
  `AddressStruct`
  `setParamMap(Map<String,String> paramMap)`
  `AddressStruct`
  `setPod(String pod)`
  `AddressStruct`
  `setQuarter(String quarter)`
  `AddressStruct`
  `setRoom(String room)`
  `AddressStruct`
  `setStreet(String street)`
  `static String`
  `toTitle(String prefix, String title, String suffix)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddressStruct

    public AddressStruct()

- ## Method Details

  - ### getArea

    public String getArea()

  - ### getCity

    public String getCity()

  - ### getComment

    public String getComment()

  - ### getCountry

    public String getCountry()

  - ### getFlat

    public String getFlat()

  - ### getFloor

    public String getFloor()

  - ### getFrac

    public String getFrac()

  - ### getFullAddress

    public String getFullAddress()

  - ### getHouse

    public String getHouse()

  - ### getHouseId

    public int getHouseId()

  - ### getIndex

    public String getIndex()

  - ### getPod

    public String getPod()

  - ### getQuarter

    public String getQuarter()

  - ### getRoom

    public String getRoom()

  - ### getStreet

    public String getStreet()

  - ### getParamMap

    public Map<String,String> getParamMap()

  - ### setArea

    public AddressStruct setArea(String area)

  - ### setCity

    public AddressStruct setCity(String city)

  - ### setComment

    public AddressStruct setComment(String comment)

  - ### setCountry

    public AddressStruct setCountry(String country)

  - ### setFlat

    public AddressStruct setFlat(String flat)

  - ### setFloor

    public AddressStruct setFloor(String floor)

  - ### setFrac

    public AddressStruct setFrac(String frac)

  - ### setFullAddress

    public AddressStruct setFullAddress(String fullAddress)
    Адресная строка формируется автоматически в зависимости от setup. Нет смысла сюда что-то ручками отправлять - перетрется.
    Parameters:
      `fullAddress` -

  - ### setHouse

    public AddressStruct setHouse(String house)

  - ### setHouseId

    public AddressStruct setHouseId(int houseId)

  - ### setIndex

    public AddressStruct setIndex(String index)

  - ### setPod

    public AddressStruct setPod(String pod)

  - ### setQuarter

    public AddressStruct setQuarter(String quarter)

  - ### setRoom

    public AddressStruct setRoom(String room)

  - ### setStreet

    public AddressStruct setStreet(String street)

  - ### setParamMap

    public AddressStruct setParamMap(Map<String,String> paramMap)

  - ### toTitle

    public static String toTitle(String prefix, String title, String suffix)